#!/bin/sh
#
#ident	"@(#)probe_dev.sh	1.3	04/12/08 SMI"
#
# Copyright 2004 Sun Microsystems, Inc.  All rights reserved.
# Use is subject to license terms.
#


tmp_file=/tmp/probe_tmp
probe_file=/tmp/probe_cd_flp	#to store cdrom and floppy device info
sysdir=/opt/SUNWstaf/prgs/si/

#detect if the devices are there.

if [ -f $probe_file ]
then
	rm -f $probe_file
fi

if [ -h /dev/rdiskette ]
then
	$sysdir/probe_dev /dev/rdiskette > $probe_file
fi

ls /dev/dsk > $tmp_file

for i in `cat $tmp_file`
do
	$sysdir/probe_dev /dev/dsk/$i >> $probe_file
done

rm -f $tmp_file
